
import com.th.demo.model.system.Type;
import com.th.demo.tools.DateTools;
import freemarker.template.Configuration;
import freemarker.template.DefaultObjectWrapper;
import freemarker.template.Template;
import org.mybatis.generator.api.MyBatisGenerator;
import org.mybatis.generator.config.*;
import org.mybatis.generator.exception.InvalidConfigurationException;
import org.mybatis.generator.internal.DefaultShellCallback;

import java.io.*;
import java.sql.SQLException;
import java.util.*;

public class Test {
    public static void main(String args[]) throws Exception {

String beginDate = "2019-08-15T16:00:00.000Z";
        beginDate = beginDate.substring(0,10);
        Date begin = DateTools.StrToDate(beginDate,"yyyy-MM-dd");
        System.out.println("beginDate:"+beginDate);
        System.out.println("begin:"+begin);
    }


}
